package com.hzya.frame.sys.module.dao;

import com.hzya.frame.sys.module.entity.Module;
import java.util.List;

/**
 * @description: 菜单表  dao
 * @tableName: sys_module 
 * @entityName: Module
 * @author: gjh
 * @history: 1.0
 */
public interface IModuleMapper {

        //通过ID获取数据    entity_get
        Module entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<Module> entity_list_base(Module entity);

        //  查询符合条件的数量
        Integer entity_count(Module entity);

        //分页查询列表 采用like格式 entity_list_like
        List<Module> entity_list_like(Module entity);

        //查询列表 字段采用or格式   entity_list_or
        List<Module> entity_list_or(Module entity);

        //新增  entity_insert
        Integer entity_insert(Module entity);

        //修改  entity_update
        Integer entity_update(Module entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(Module entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(Module entity);

        //物理删除
        Integer entity_delete(Module entity);


}
